*"表題 力学 境界条件 読み込み GCM5(IPHIS)
*
*"履歴  96/11/14 竹広真一   DPHIS から分離
*"
*
**********************************************************************
*"            << 境界条件（地形)の読み込み >>
**********************************************************************
      SUBROUTINE SETPHS
     O         ( GPHIS  ,
     I           IT      )
*
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)                      !" 格子点数，波数
      INCLUDE   (ZHDIM)                      !" 文字数
#else
#include        "zcdim.F"                    !" 格子点数，波数
#include        "zhdim.F"                    !" 文字数
#endif
*
* [OUTPUT]
      REAL       GPHIS ( IDIM, JDIM )        !" 地表Φ
*
* [INPUT]
      INTEGER    IT
*
      CHARACTER  FILE   *(NFILN)             !" 地表Φファイル
      DATA       FILE    / ' ' /
      NAMELIST  /NMPHIS/ FILE
*
      LOGICAL    OFIRST
      DATA       OFIRST / .TRUE. /
      INTEGER    ITNPHI
      DATA       ITNPHI / -999 /
*
      INTEGER    IFPAR, JFPAR
      SAVE       OFIRST, HPHIS, ITNPHI
*
      IF ( OFIRST ) THEN
         OFIRST = .FALSE.
         CALL   REWNML ( IFPAR , JFPAR )
         READ   ( IFPAR, NMPHIS, END=1190 )
 1190    WRITE  ( JFPAR, NMPHIS )
      ENDIF
*
      IF ( IT .GE. ITNPHI ) THEN
*
*"         < 1.  地形標高Ｇ．Ｐ．の読み込み >
*
         CALL RDCON
     O         ( GPHIS , ITNPHI ,
     I           FILE  , 'GPHIS', 0.    , 'ASFC'  , IT     )
*
      ENDIF
*
      RETURN
      END
